https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/componentReturns a paginated list of all components in a project. See the Get project components resource if you want to get a full list of versions without pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field: * `description` Sorts by the component description. * `issueCount` Sorts by the count of issues associated with the component. * `lead` Sorts by the user key of the component's project lead. * `name` Sorts by component name.
Filter the results using a literal string. Components with a matching `name` or `description` are returned (case insensitive).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/component' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/componentReturns a paginated list of all components in a project. See the Get project components resource if you want to get a full list of versions without pagination. This operation can be accessed anonymously. **Permissions required:** *Browse Projects* project permission for the project.
The project ID or project key (case sensitive).
The index of the first item to return in a page of results (page offset).
The maximum number of items to return per page.
[Order](#ordering) the results by a field: * `description` Sorts by the component description. * `issueCount` Sorts by the count of issues associated with the component. * `lead` Sorts by the user key of the component's project lead. * `name` Sorts by component name.
Filter the results using a literal string. Components with a matching `name` or `description` are returned (case insensitive).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/component' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}